<resources>

    <!--
    Base application theme, dependent on API level. This theme is replaced
    by BugleBaseTheme from res/values-vXX/styles.xml on newer devices.
-->
    <style name="AppTheme"></style>

    <style name="AppTheme.PopupOverlay">

    </style>

    <style name="BugleBaseTheme" parent="@android:style/Theme.Material.Light.DarkActionBar">
        <!--
            Theme customizations available in newer API levels can go in
            res/values-vXX/styles.xml, while customizations related to
            backward-compatibility can go here.
        -->
    </style>

    <!-- Application theme. -->
    <style name="BugleTheme" parent="BugleBaseTheme">
        <!-- All customizations that are NOT specific to a particular API-level can go here. -->
        <item name="android:dropDownListViewStyle">@style/DropDownListViewStyle</item>
        <item name="colorPrimary">@color/action_bar_background_color</item>
        <item name="colorPrimaryDark">@color/action_bar_background_color_dark</item>
        <item name="colorAccent">@color/action_bar_background_color</item>
        <item name="android:textColorHighlight">@color/text_highlight_color</item>
        <item name="actionBarStyle">@style/BugleActionBar</item>
        <item name="apnPreferenceStyle">@style/ApnPreference</item>
    </style>

    <style name="ApnPreference">
        <item name="android:layout">@layout/apn_preference_layout</item>
    </style>

    <style name="ApnPreferenceLayoutStyle">
        <item name="android:paddingLeft">?android:attr/listPreferredItemPaddingStart</item>
        <item name="android:paddingRight">?android:attr/listPreferredItemPaddingEnd</item>
    </style>

    <style name="BugleActionBar" parent="@android:style/Widget.DeviceDefault.Light.ActionBar.Solid">
        <item name="height">@dimen/action_bar_height</item>
        <item name="displayOptions">showTitle</item>
        <item name="titleTextStyle">@style/BugleActionBarTitleTextStyle</item>
    </style>

    <style name="BugleActionBarTitleTextStyle" parent="@android:style/TextAppearance.DeviceDefault.Widget.ActionBar.Title">
        <item name="android:textColor">@color/action_bar_title_text_color</item>
        <item name="android:textSize">@dimen/action_bar_text_size</item>
        <item name="android:lines">1</item>
    </style>

    <style name="AttachmentPreviewAttachmentStyle">
        <item name="android:layout_marginLeft">10dp</item>
    </style>

    <!-- Styles to support RTL for pre API 17 -->
    <style name="AttachmentPreviewCloseButtonStyle">
        <item name="android:gravity">left</item>
    </style>

    <style name="ComposeMessageViewDraftViewStyle">
        <item name="android:layout_marginLeft">53dp</item>
        <item name="android:layout_marginRight">63dp</item>
    </style>

    <style name="ConversationComposeSendText">
        <item name="android:textColor">@color/compose_send_text_color</item>
        <item name="android:singleLine">false</item>
        <item name="android:textSize">@dimen/conversation_compose_send_text_size</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:fontFamily">sans-serif</item>
        <item name="android:paddingLeft">@dimen/compose_message_text_box_padding_side</item>
        <item name="android:paddingRight">@dimen/compose_message_text_box_padding_side</item>
        <item name="android:minHeight">@dimen/conversation_message_contact_icon_size</item>
        <item name="android:maxLines">4</item>
        <item name="android:background">@null</item>
        <item name="android:scrollHorizontally">false</item>
        <item name="android:textCursorDrawable">@null</item>
        <item name="android:inputType">textShortMessage|textAutoCorrect|textCapSentences|textMultiLine</item>
    </style>

    <style name="ConversationComposeSubjectText" parent="ConversationComposeSendText">
        <item name="android:paddingLeft">18dp</item>
        <item name="android:layout_marginLeft">@dimen/compose_message_subject_cancel_left_margin</item>
    </style>

    <style name="DropDownListViewStyle">
        <item name="android:dividerHeight">0dp</item>
    </style>

    <style name="SubjectViewStyle">
        <item name="android:paddingLeft">@dimen/compose_message_subject_left_padding</item>
        <item name="android:paddingRight">@dimen/compose_message_subject_right_padding</item>
    </style>

    <style name="MmsIndicatorStyle">
        <item name="android:textColor">@color/mms_indicator_color</item>
        <item name="android:textSize">@dimen/mms_indicator_size</item>
        <item name="android:fontFamily">sans-serif</item>
        <item name="android:background">@null</item>
        <item name="android:paddingRight">@dimen/compose_message_send_button_padding_right</item>
        <item name="android:paddingTop">@dimen/compose_message_mms_indicator_padding_top</item>
        <item name="android:layout_gravity">center_horizontal</item>
    </style>

    <style name="ComposeMessageViewFrameLayoutStyle">
        <item name="android:paddingRight">@dimen/compose_message_send_button_padding_right</item>
    </style>

    <style name="ComposeMessageViewTextCounterStyle">
        <item name="android:textColor">@color/message_text_counter_color</item>
        <item name="android:textSize">@dimen/message_text_counter_size</item>
        <item name="android:fontFamily">sans-serif</item>
        <item name="android:layout_gravity">right|center_vertical</item>
        <item name="android:paddingRight">@dimen/compose_message_text_box_padding_side</item>
    </style>

    <style name="ComposeMessageViewAttachMediaButtonStyle">
        <item name="android:paddingLeft">@dimen/compose_message_attachment_padding_sides</item>
        <item name="android:paddingRight">@dimen/compose_message_attachment_padding_sides</item>
        <item name="android:background">?android:attr/selectableItemBackground</item>
    </style>
</resources>
